## org.codehaus.groovy.grails.web.metaclass
Class InvalidResponseHandler

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.AbstractTokenResponseHandler
          org.codehaus.groovy.grails.web.metaclass.InvalidResponseHandler

All Implemented Interfaces:
  groovy.lang.GroovyObject, TokenResponseHandler

    public class InvalidResponseHandler

extends AbstractTokenResponseHandler
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.web.servlet.mvc.TokenResponseHandler
`KEY`

Constructor Summary
`InvalidResponseHandler()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`protected Object` `invalidTokenInternal(groovy.lang.Closure callable)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.codehaus.groovy.grails.web.servlet.mvc.AbstractTokenResponseHandler
`invalidToken, wasInvalidToken, wasInvoked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidResponseHandler

    public InvalidResponseHandler()

Method Detail

### invalidTokenInternal

    protected Object invalidTokenInternal(groovy.lang.Closure callable)

  Specified by:
    `invalidTokenInternal` in class `AbstractTokenResponseHandler`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project